import { BasicColumn, FormSchema } from '@/components/Table';
import { DescItem } from '@/components/Description';

export const versionColumns: BasicColumn[] = [
  {
    title: '版本标题',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '上传日期',
    dataIndex: 'uploadDate',
    width: 120,
  },
  {
    title: '副标题',
    dataIndex: 'subTitle',
    width: 120,
  },
];
export const versionSchema = [
  {
    name: 'V1',
    uploadDate: '2022/01/01 12:24:22',
    subTitle: 'v21',
  },
  {
    name: 'V2',
    uploadDate: '2022/01/02 13:30:00',
    subTitle: 'v22',
  },
];
export const submitVersionSchema: FormSchema[] = [
  {
    field: 'remark',
    label: '版本描述',
    component: 'InputTextArea',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
];
